Bug 206343

Summary: [patch] upgrade devel/scons to version 2.4.1
Product: Ports & Packages Reporter: John Marino <marino>
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: gavin
Priority: --- Keywords: patch
Version: LatestFlags: linimon: maintainer-feedback? (gavin)
Hardware: Any   
OS: Any   
Attachments:
Description Flags
upgrade scons 2.3.0 => 2.4.1 none

Description John Marino freebsd_committer 2016-01-17 22:05:46 UTC
Created attachment 165724 [details]
upgrade scons 2.3.0 => 2.4.1

I ran into an aggravating feature of scons where if process that launches it sets setpid(0,0), it just seizes.  I hoped that upgrading to version 2.4.1 would fix it, but it still happens.  Rather than throw away the work, I'm submitting the patch here.

I'm also wondering if you would prefer to reset maintainership back to ports@FreeBSD.org.  I'm looking at the commit history, and I see you were passed maintainership on 19 Jul 2010.  Since that time, you've been given 8 PRs (7 approved, 1 timed out) but never submitted a PR of your own.  Is that correct?  Usually a maintainer is the one that actively updates the port rather than act as a gatekeeper.
Comment 1 commit-hook freebsd_committer 2016-02-04 12:27:44 UTC
A commit references this bug:

Author: marino
Date: Thu Feb  4 12:27:14 UTC 2016
New revision: 408027
URL: https://svnweb.freebsd.org/changeset/ports/408027

Log:
  devel/scons: Upgrade 2.3.0 => 2.4.1 and reset maintainer

  While the maintainer has mostly been responsive since July 2010, his
  actions were limited to approving PRs (mainly to upgrade scons because
  the maintainer wasn't doing it).  Not a single update originated from
  the maintainer himself.  Since being a gatekeeper isn't the purpose of
  a maintainer, I'm going to reset the port on this timeout so that future
  upgrades can get applied faster than they have been.

  PR:		206343
  Submitted by:	myself
  Approved by:	maintainer timeout

Changes:
  head/devel/scons/Makefile
  head/devel/scons/distinfo
  head/devel/scons/files/patch-engine-SCons-compat-_scons_subprocess.py
  head/devel/scons/files/patch-engine_SCons_Tool_m4.py
  head/devel/scons/files/patch-script__scons